function [Acc,Pops] = CounterProp(NumberOfSamples,v,totalT,RangeAsPercentOfG,alpha,nm)
    k = 0;
    [~,B] = Bloch(alpha,nm,k);
    phi_h = @(t)0; % Control function
    tspan = [0 totalT];
    rapog = RangeAsPercentOfG;

    %% Generating values to test the model
    a = rapog(1)*5.4*1e-3:(rapog(2)-rapog(1))*(5.4*1e-3)/NumberOfSamples:rapog(2)*5.4*1e-3; % Set of accelerations to test (extended to include g)
    testOut = NaN(2*nm+1,size(a,2));

    psi_i = B(:,1); % The initial state: Bloch wave n = 1, k = 0

    for i = 1:size(a,2)
        psi = splitstep(tspan,psi_i,phi_h,a(i),v,alpha,nm); % Propagation
        testOut(:,i) = abs(psi).^2; % Make the output just the relative populations of the harmonics
    end
    Acc = a;
    Acc = Acc*1.8148e+03; % Scales up the accelerations to their "real" values.
    Pops = testOut;
end