function out = splitstep(tspan,psi,h_phi,a,v,alpha,nm)
    dt = .1;                                % Time step
    tfinal = tspan(2);                      % Final time
    M = round(tfinal/dt);                   % Total number of time steps
    nmax = nm;                              % Which Bloch harmonics to use (from -nmax to nmax)
    N = (2*nmax+1);                         % Total number of harmonics
    acc = @(t)-1*a*t.^2/2;                  % Acceleration part of the potential
    n = ( -nmax:nmax)';                     % Indices
    u = ifftshift(psi);                     % Duplicate of the state for propagating
    k = ifftshift(n);                       % Momentum space grid
    x = 2*pi/N*(0:N-1)';                    % Position space grid
    eta = @(t)Split(t,v,tfinal);            % Splitting part of the potential
    optical_potential = @(t)2*alpha*cos(eta(t))*cos(x+h_phi(t)+acc(t)); % Potential
    
    for m = 1:1:M
        c = exp(dt/2*-1i/2*k.^2).*u;
        u = N*ifft(c);
        u = exp(dt*-1i*optical_potential(dt*(m-1)+dt/2)).*u;
        c = fft(u)/N;
        u = exp(dt/2*-1i/2*k.^2).*c;
    end
    
    out=fftshift(u);
end